#
# spec file for package ed (Version 0.2)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           ed
URL:            http://www.gnu.org/software/ed/
License:        LGPL
Group:          Productivity/Editors/Other
PreReq:         %install_info_prereq
Autoreqprov:    on
Version:        0.2
Release:        881.2
Summary:        Standard UNIX Line Editor
Source:         ed-0.2.tar.gz
Patch:          ed-0.2.diff
Patch1:         ed-0.2-tmpfile.patch
Patch2:         proto.patch
Patch3:         signal.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The standard, old Unix line editor.



Authors:
--------
    Andrew Moore <alm@worm.talke.org>

%debug_package
%prep
%setup
%patch
%patch1
%patch2
%patch3
rm -f regex.*

%build
chmod +w configure
autoreconf -fi
CFLAGS="$RPM_OPT_FLAGS" \
./configure --prefix=/usr --infodir=%{_infodir} --mandir=%{_mandir}
make

%install
make prefix=$RPM_BUILD_ROOT/usr mandir=$RPM_BUILD_ROOT%{_mandir} \
     infodir=$RPM_BUILD_ROOT%{_infodir} install
mkdir -p $RPM_BUILD_ROOT/bin
mv $RPM_BUILD_ROOT/usr/bin/ed $RPM_BUILD_ROOT/bin/ed
ln -s /bin/ed $RPM_BUILD_ROOT/usr/bin/ed

%files
%defattr(-,root,root)
/bin/ed
/usr/bin/ed
/usr/bin/red
%doc %{_infodir}/ed.info.gz
%doc %{_mandir}/man1/ed.1.gz
%doc %{_mandir}/man1/red.1.gz

%post
%install_info --entry="* ed: (ed). Line-oriented text editor" --info-dir=%{_infodir} %{_infodir}/%{name}.info.gz

%postun
%install_info_delete --info-dir=%{_infodir} %{_infodir}/%{name}.info.gz

%changelog -n ed
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Oct 01 2004 - schwab@suse.de
- Fix signal handling
  (<http://lists.gnu.org/archive/html/bug-gnu-utils/2004-09/msg00123.html>).
* Sat Sep 11 2004 - schwab@suse.de
- Don't use __P from glibc headers.
* Sat Jan 10 2004 - adrian@suse.de
- add %%defattr
* Thu Apr 24 2003 - ro@suse.de
- fix install_info --delete call and move from preun to postun
* Tue Apr 15 2003 - coolo@suse.de
- use BuildRoot
* Mon Mar 03 2003 - ro@suse.de
- fixed typo in dir entry
* Mon Mar 03 2003 - ro@suse.de
- added info dir entry
* Fri Feb 07 2003 - ro@suse.de
- use install_info macros
* Tue Sep 17 2002 - ro@suse.de
- removed bogus self-provides
* Tue Dec 19 2000 - werner@suse.de
- Close temporary file security hole
* Fri Feb 25 2000 - kukuk@suse.de
- Use RPM_OPT_FLAGS
- Move /usr/{info,man} -> /usr/share/{info,man}
* Sat Nov 06 1999 - bs@suse.de
- moved binary to /bin/ed and provide symlink /usr/bin/ed
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
